package sgc.portal.cs.cs0302.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0302.dto.CS03020001USearch;
import sgc.portal.cs.cs0302.service.CS03020001UService;

import java.util.List;

@RestController
@RequestMapping("/cs/cs0302")
public class CS03020001UController {
    private final CS03020001UService service;

    public CS03020001UController(CS03020001UService service) {
        this.service = service;
    }
    
    /*방문리스트*/
    @PostMapping("/CS03020001U/getVisInfo")
    public List<EasyHashMap<String, Object>> getVisInfo(@RequestBody CS03020001USearch search) {
        return service.getVisInfo(search);
    }
    
    /*방문리스트상세*/
    @PostMapping("/CS03020001U/getVisInfoDetail")
    public List<EasyHashMap<String, Object>> getVisInfoDetail(@RequestBody CS03020001USearch search) {
        return service.getVisInfoDetail(search);
    }
}
